Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class AttrValException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.ValidationException
                                    |
                                    +--oracle.jbo.AttrValException

Direct Known Subclasses:
  AttrSetValException, ReadOnlyAttrException

public class AttrValException
extends ValidationException

Indicates a attribute validation error. This class may be extended to provide localizable exceptions to arbitrary bundle classes.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`AttrValException(int objType, java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, java.lang.String attrName)` Creates a localizable exception for an object.
`AttrValException(int objType, java.lang.String msg, java.lang.String errorCode, java.lang.String objName, java.lang.String attrName)` Creates a non-localizable exception for an object.

Method Summary
`java.lang.String` | `getAttrName()`
`java.lang.String` | `getObjName()`
`int` | `getObjType()`
`java.lang.String` | `getObjTypeName()`

Methods inherited from class oracle.jbo.ValidationException
`raise`

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttrValException

    public AttrValException(int objType,
                            java.lang.Class resBundleClass,
                            java.lang.String errorCode,
                            java.lang.String objName,
                            java.lang.String attrName)

  Creates a localizable exception for an object. Message parameters can also be accessed through 'get' methods.
  Parameters:
    `objType` - the type of the object, the first message parameter.
    `resBundleClass` - a resource bundle.
    `errorCode` - an error or message code.
    `objName` - the name of the object, the second message parameter.
    `attrName` - the name of the attribute, the third message parameter.

### AttrValException

    public AttrValException(int objType,
                            java.lang.String msg,
                            java.lang.String errorCode,
                            java.lang.String objName,
                            java.lang.String attrName)

  Creates a non-localizable exception for an object. Message parameters can also be accessed through 'get' methods.
  Parameters:
    `objType` - the type of the object, the first message parameter.
    `msg` - non-localizable text.
    `errorCode` - an error or message code.
    `objName` - the name of the object, the second message parameter.
    `attrName` - the name of the attribute, the third message parameter.

Method Detail

### getObjType

    public int getObjType()

### getObjTypeName

    public java.lang.String getObjTypeName()

### getObjName

    public java.lang.String getObjName()

### getAttrName

    public java.lang.String getAttrName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD